Package org.creativecommons.nutch

# Class CCIndexingFilter

java.lang.Object
org.creativecommons.nutch.CCIndexingFilter

All Implemented Interfaces:
  `Configurable`, `IndexingFilter`, `Pluggable`

public class CCIndexingFilter extends Object implements IndexingFilter
Adds basic searchable fields to a document.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `FIELD`
  The name of the document field we use.

  ### Fields inherited from interface org.apache.nutch.indexer.IndexingFilter

  `X_POINT_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CCIndexingFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addUrlFeatures(NutchDocument doc, String urlString)`
  Add the features represented by a license URL.
  `NutchDocument`
  `filter(NutchDocument doc, Parse parse, Text url, CrawlDatum datum, Inlinks inlinks)`
  Adds fields or otherwise modifies the document that will be indexed for a parse.
  `Configuration`
  `getConf()`
  `void`
  `setConf(Configuration conf)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIELD

    public static String FIELD
    The name of the document field we use.

- ## Constructor Details

  - ### CCIndexingFilter

    public CCIndexingFilter()

- ## Method Details

  - ### filter

    public NutchDocument filter(NutchDocument doc, Parse parse, Text url, CrawlDatum datum, Inlinks inlinks) throws IndexingException
    Description copied from interface: `IndexingFilter`
    Adds fields or otherwise modifies the document that will be indexed for a parse. Unwanted documents can be removed from indexing by returning a null value.
    Specified by:
      `filter` in interface `IndexingFilter`
    Parameters:
      `doc` - document instance for collecting fields
      `parse` - parse data instance
      `url` - page url
      `datum` - crawl datum for the page (fetch datum from segment containing fetch status and fetch time)
      `inlinks` - page inlinks
    Returns:
      modified (or a new) document instance, or null (meaning the document should be discarded)
    Throws:
      `IndexingException` - if an error occurs during during filtering

  - ### addUrlFeatures

    public void addUrlFeatures(NutchDocument doc, String urlString)
    Add the features represented by a license URL. Urls are of the form "http://creativecommons.org/licenses/xx-xx/xx/xx", where "xx" names a license feature.
    Parameters:
      `doc` - a `NutchDocument` to augment
      `urlString` - the url to extract features from

  - ### setConf

    public void setConf(Configuration conf)
    Specified by:
      `setConf` in interface `Configurable`

  - ### getConf

    public Configuration getConf()
    Specified by:
      `getConf` in interface `Configurable`